Foxit PDF SDK

Public Member Functions | Public Attributes | List of all members
foxit::pdf::CertIssuerPair Class Reference

Inherits Object.

## Public Member Functions
| CertIssuerPair ()
| Constructor.
| CertIssuerPair (const CertIssuerPair &other)
| Constructor, with another cert-issuer pair object. More...
| CertIssuerPair (const String &cert, const String &issuer)
| Constructor, with parameters. More...
| ~CertIssuerPair ()
| Destructor.
bool | operator!= (const CertIssuerPair &other) const
| Not equal operator. More...
CertIssuerPair & | operator= (const CertIssuerPair &other)
| Assign operator. More...
bool | operator== (const CertIssuerPair &other) const
| Equal operator. More...
void | Set (const String &cert, const String &issuer)
| Set value. More...

## Public Attributes
String | cert
| Certificate content.
String | issuer
| An issuer of the certificate.

## Detailed Description

This class represents a cert-issuer pair.

## Constructor & Destructor Documentation

## ◆ CertIssuerPair() [1/2]

foxit::pdf::CertIssuerPair::CertIssuerPair | ( | const String & | cert,
|  | const String & | issuer
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | cert | Certificate content.
  [in] | issuer | An issuer for the certificate.

## ◆ CertIssuerPair() [2/2]

foxit::pdf::CertIssuerPair::CertIssuerPair | ( | const CertIssuerPair & | other | ) |
| inline

Constructor, with another cert-issuer pair object.

Parameters

  [in] | other | Another cert-issuer pair object.

## Member Function Documentation

## ◆ operator!=()

bool foxit::pdf::CertIssuerPair::operator!= | ( | const CertIssuerPair & | other | ) | const
| inline

Not equal operator.

Parameters

  [in] | other | Another cert-issuer pair object. This function will check if current object is not equal to this one.

Returns
  true means not equal, while false means equal.

## ◆ operator=()

CertIssuerPair& foxit::pdf::CertIssuerPair::operator= | ( | const CertIssuerPair & | other | ) |
| inline

Assign operator.

Parameters

  [in] | other | Another cert-issuer pair object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## ◆ operator==()

bool foxit::pdf::CertIssuerPair::operator== | ( | const CertIssuerPair & | other | ) | const
| inline

Equal operator.

Parameters

  [in] | other | Another cert-issuer pair object. This function will check if current object is equal to this one.

Returns
  true means equal, while false means not equal.

## ◆ Set()

void foxit::pdf::CertIssuerPair::Set | ( | const String & | cert,
|  | const String & | issuer
| ) |  |
| inline

Set value.

Parameters

  [in] | cert | Certificate content.
  [in] | issuer | An issuer for the certificate.

Returns
  None.